@import "../variables";

.header {
  background-color: #fff;
  border-bottom: 1px solid $border-gray;
  position: relative;

  &__wrap {
    padding: 10px 40px;
    display: flex;
    align-items: center;
    width: 100%;
    max-width: 1920px;
    margin: 0 auto;

    @media (max-width: $media-m) {
      padding: 20px 16px;
    }
  }

  &__logo {
    font-size: 20px;
    font-weight: 700;
    text-decoration: none;

    @media (max-width: $media-m) {
      font-size: 15px;
    }
  }

  &__navbar {
    margin-left: auto;
    display: flex;
    align-items: center;

    @media (max-width: $media-m) {
      display: none;
      position: absolute;
      flex-direction: column;
      width: 100%;
      height: 100%;
      overflow-y: auto;
      overflow-x: hidden;
      min-height: calc(100vh - 60px);
      top: 60px;
      left: 0;
      background-color: #fff;
    }

    &.show {
      @media (max-width: $media-m) {
        display: flex;
        z-index: 9;
      }
    }

    ul {
      display: flex;
      margin: 3px 12px 0 0;
      padding: 0;
      list-style: none;

      @media (max-width: $media-m) {
        flex-wrap: wrap;
      }

      li {
        margin: 0 12px;
        
        @media (max-width: $media-m) {
          margin: 24px 16px 0;
          width: 100%;
        }

        a {
          font-weight: 700;
          line-height: 1;
          text-decoration: none;

          @media (max-width: $media-m) {
           font-size: 24px;
          }
        }

        &:last-child {
          margin-left: 50px;

          @media (max-width: $media-md) {
            margin-left: 12px;
          }
        }
      }
    }
  }

  .btn--toggle {
    margin-left: auto;
  }
}